Package tigase.io

## Class TelnetClient

- java.lang.Object
- - tigase.io.TelnetClient

- All Implemented Interfaces:
    `SampleSocketThread.SocketHandler`

      public class TelnetClient
      extends java.lang.Object
      implements SampleSocketThread.SocketHandler

  This is sample class demonstrating how to use `tigase.io` library for TLS/SSL client connection. This is simple telnet client class which can connect to remote server using plain connection or SSL.
  Created: Sun Aug 6 15:14:49 2006
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TelnetClient​(java.lang.String hostname, int port)` | Creates a new `TelnetClient` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleIOInterface​(IOInterface ioifc)` |
    `void` | `handleSocketAccept​(java.nio.channels.SocketChannel sc)` |
    `static java.lang.String` | `help()` |
    `static void` | `main​(java.lang.String[] args)` |
    `static void` | `parseParams​(java.lang.String[] args)` |
    `static void` | `turnDebugOn()` |
    `static java.lang.String` | `version()` |
    `void` | `writeData​(java.lang.String data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelnetClient

          public TelnetClient​(java.lang.String hostname,
                              int port)
                       throws java.lang.Exception

      Creates a new `TelnetClient` instance.
      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### help

          public static java.lang.String help()

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### parseParams

          public static void parseParams​(java.lang.String[] args)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### turnDebugOn

          public static void turnDebugOn()

    - #### version

          public static java.lang.String version()

    - #### handleIOInterface

          public void handleIOInterface​(IOInterface ioifc)
                                 throws java.io.IOException

      Specified by:
        `handleIOInterface` in interface `SampleSocketThread.SocketHandler`
      Throws:
        `java.io.IOException`

    - #### handleSocketAccept

          public void handleSocketAccept​(java.nio.channels.SocketChannel sc)

      Specified by:
        `handleSocketAccept` in interface `SampleSocketThread.SocketHandler`

    - #### writeData

          public void writeData​(java.lang.String data)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`